.loading-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    
  }
  // .wave-spinner__circle {
  //   display: inline-block;
  //   filter: blur(1px);
  //   width: 4em;
  //   height: 1em;
  //   margin: -0.8em;
  //   border-radius: 30%;
  //   animation: wave 1s ease-in-out infinite;
  // }
  
  // .wave-spinner__circle:nth-child(1) {
  //   background: linear-gradient(to bottom, #4e6cef 0%, #ffffff 100%);
  //   animation-delay: 0.4s;
  //   z-index: 1;
  // }
  // .wave-spinner__circle:nth-child(2) {
  //   background: linear-gradient(to bottom, #4e6cef 0%, #ffffff 100%);
  //   animation-delay: 0.5s;
  //   z-index: 2;
  // }
  
  // .wave-spinner__circle:nth-child(3) {
  //   background: linear-gradient(to bottom, #4e6cef 0%, #ffffff 100%);
  //   animation-delay: -0.4s;
  //   z-index: 3;
  // }
  // .wave-spinner__circle:nth-child(4) {
  //   background: linear-gradient(to bottom, #4e6cef 0%, #ffffff 100%);
  //   animation-delay: -0.3s;
  //   z-index: 4;
  // }
  
  // .wave-spinner__circle:nth-child(5) {
  //   background: linear-gradient(to bottom, #4e6cef 0%, #ffffff 100%);
  //   animation-delay: -0.3s;
  //   z-index: 5;
  // }
  // .wave-spinner__circle:nth-child(6) {
  //   background: linear-gradient(to bottom, #4e6cef 0%, #ffffff 100%);
  //   animation-delay: -0.3s;
  //   z-index: 6;
  // }
  // .wave-spinner__circle:nth-child(7) {
  //   background: linear-gradient(to bottom, #4e6cef 0%, #ffffff 100%);
  //   animation-delay: -0.2s;
  //   z-index: 7;
  // }
  .wave-spinner__boat {
    position: absolute; /* กำหนด position เป็น absolute เพื่อให้เรืออยู่ตรงกลางของ Spinner */
    top: 44%;
    left: 50%;
    z-index: 0;
    transform: translate(-50%, -50%); /* กำหนดให้เรืออยู่ตรงกลางของ Spinner */
  }
  .wave-spinner__sea {
    position: absolute; /* กำหนด position เป็น absolute เพื่อให้เรืออยู่ตรงกลางของ Spinner */
    top: 50%;
    left: 50%;
    z-index: 1;
    transform: translate(-50%, -50%); /* กำหนดให้เรืออยู่ตรงกลางของ Spinner */
  }
  .wave-spinner__sea img {
    width: 8rem;
    height: 3.5rem;
    animation: shake_sea 1s ease-in-out infinite;
  }
  // .wave-container {
  //   position: relative;
  //   width: 200px;
  //   height: 200px;
  // }
  .wave-spinner__boat img {
    width: 100px;
    height: auto;
    animation: shake 1s ease-in-out infinite;
  }
  // @keyframes wave {
  //   0%,
  //   40%,
  //   100% {
  //     transform: scale(1);
  //   }
  //   20% {
  //     transform: scale(1.5);
  //   }
  // }
  @keyframes shake {
    0% {
      transform: translate3d(0, 0, 0);
    }
    10% {
      transform: translate3d(-3px, 0, 0);
    }
    30% {
      transform: translate3d(-4px, 0, 0);
    }
    40% {
      transform: translate3d(3px, 0, 0);
    }
    70% {
      transform: translate3d(-5px, 0, 0);
    }
    100% {
      transform: translate3d(0, 0, 0);
    }
  }
  @keyframes shake_sea {
    0% {
      transform: translate3d(0, 0, 0);
    }
    10% {
      transform: translate3d(-5px, 0, 0);
    }
    20% {
      transform: translate3d(-5px, 0, 0);
    }
    30% {
      transform: translate3d(-2px, 0, 0);
    }
    40% {
      transform: translate3d(2px, 0, 0);
    }
    60% {
      transform: translate3d(2px, 0, 0);
    }
    70% {
      transform: translate3d(-3px, 0, 0);
    }
    100% {
      transform: translate3d(0, 0, 0);
    }
  }
